/*
 * File: flashctl.h
 */

#ifndef __FLASHCTL_H__
#define __FLASHCTL_H__

#ifdef __cplusplus
extern "C" {
#endif

//RAM Function Linker Section
#ifdef __TI_COMPILER_VERSION__
    #if __TI_COMPILER_VERSION__ >= 15009000
        #define ramFuncSection ".TI.ramfunc"
    #else
        #define ramFuncSection "ramfuncs"
    #endif
#endif

#pragma CODE_SECTION(flashctl_init, ramFuncSection);

void flashctl_init( void );

#ifdef __cplusplus
}
#endif

#endif /* __FLASHCTL_H__ */
